Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.metadata.config
Class IdentityMetadataProcessor

    java.lang.Object
      org.jboss.portal.identity.metadata.config.IdentityMetadataProcessor

    public class IdentityMetadataProcessor

extends java.lang.Object

Version:
  $Revision: 0.1 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`IdentityMetadataProcessor()`

Method Summary
`static void` | `updateDatasourceWithDefaults(DatasourceMetaData ds, java.util.Map defaultDS)` updates module with proper defaults
`static void` | `updateModuleWithDefaults(ModuleMetaData module, java.util.Map defaultModules)` updates module with proper defaults
`static void` | `updateOptionsWithDefaults(IdentityConfigurationService config, OptionsMetaData defaults)` Check current options and update them with defaults if not exists;

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityMetadataProcessor

    public IdentityMetadataProcessor()

Method Detail

### updateModuleWithDefaults

    public static void updateModuleWithDefaults(ModuleMetaData module,
                                                java.util.Map defaultModules)

  updates module with proper defaults

  Parameters:
    `module` -
    `defaultModules` -

### updateDatasourceWithDefaults

    public static void updateDatasourceWithDefaults(DatasourceMetaData ds,
                                                    java.util.Map defaultDS)

  updates module with proper defaults

### updateOptionsWithDefaults

    public static void updateOptionsWithDefaults(IdentityConfigurationService config,
                                                 OptionsMetaData defaults)

  Check current options and update them with defaults if not exists;

  Parameters:
    `config` -
    `defaults` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD